DCMTK - Bug #395

More possible timeout problems in the networking module...

2011-12-19 00:00 - J6rg Riesmeier

Status: New

Priority: Normal
Assignee:

Category: Library and Apps

Target version:
Module: dcmnet

Operating System:

Start date:

Due date:

% Done: 30%
Estimated time: 0:00 hour
Compiler:

Description

http://forum.dcmtk.org/viewtopic.php?t=3248—selved?

And-one-more-here-from-storeseu-http://forum.dcmtk.org/viewtopic.php?t=3295

And one with "echoscu": http:/forum.dcmtk.org/viewtopic.php?p=13031&highlight=#13031

Related issues:

Related to DCMTK - Bug #862: DIMSE_findUser() does not properly handle DIMSE_... New 2018-12-10

History

#1 - 2012-04-16 11:55 - Jorg Riesmeier

- Target version set to 3.6.2

#2 - 2013-01-15 12:55 - Uli Schlachter

Noch mehr Timeout-Probleme: http://forum.dcmtk.org/viewtopic.php?f=1&t=3652

#3 - 2013-04-28 23:56 - Andrew Chiw

- Subject changed from Mal wieder mégliche timeout-Probleme im Netzwerkmodul ... to More possible timeout problems in the networking module...

#4 - 2013-10-17 18:19 - J6rg Riesmeier
- Category set to Library and Apps

Here's another (possible) issue: http:/forum.dcmtk.org/viewtopic.php?f=1&t=3822

#5 - 2014-01-18 15:23 - Michael Onken

And one more (-to option does not work): http://forum.dcmtk.org/viewtopic.php?f=1&t=3902

It seems to me that in dulfsm.cc the timeout struct handed to the select() function must be set to NULL in this code:

struct timeval timeout;
timeout.tv_sec = connectTimeout;
timeout.tv_usec = 0;

rc = select(s+1, NULL, &fdSet, NULL, &timeout);

See for example MSDN documentation: http://msdn.microsoft.com/en-us/library/windows/desktop/ms740141 (v=vs.85).aspx

Maybe further code has to be modified.

#6 - 2014-02-03 19:22 - J6rg Riesmeier
- % Done changed from 0 to 10

#7 - 2017-01-24 17:03 - JO6rg Riesmeier
- Description updated

- % Done changed from 10 to 30
#8 - 2017-03-24 12:42 - Marco Eichelberg
- Priority changed from High to Normal
- Target version changed from 3.6.2 to 3.6.3

#9 - 2017-12-07 11:57 - Marco Eichelberg
- Target version changed from 3.6.3 to 3.6.6

#10 - 2018-12-10 15:11 - J6rg Riesmeier
- Related to Bug #862: DIMSE_findUser() does not properly handle DIMSE_NONBLOCKING added

#11 - 2020-05-25 13:28 - Michael Onken
- Target version deleted (3.6.6)
